import { BaseConnectorConfig, KafkaCallbackResponse, XodBaseMessageType } from '@xip-online-data/types';
import { MessageMonitorInterface } from './message-monitor.interface';
export declare abstract class AbstractMessageMonitor implements MessageMonitorInterface {
    protected readonly baseConfig: BaseConnectorConfig;
    constructor(baseConfig: BaseConnectorConfig);
    protected abstract isProcessed(message: XodBaseMessageType): Promise<boolean>;
    protected abstract addProcessedMessage(message: XodBaseMessageType): Promise<void>;
    processMessage(callbackFunction: (message: XodBaseMessageType) => Promise<KafkaCallbackResponse>): (message: XodBaseMessageType) => Promise<KafkaCallbackResponse>;
}
